import os

from clarabot_nano_common.utility.path.resolve import resolve_path

RESOURCE_ROOT = resolve_path(os.path.dirname(os.path.abspath(__file__)), strict=True)


def get_resource_path(*parts, strict=True):
    return resolve_path(RESOURCE_ROOT.joinpath(*parts), strict=strict)
